@echo off
@echo                            Checking system files...
rem ====================================================================================


rem   Alien97 Logo Install 
rem   Alien97 release v1.0 (C)1997 by Tony Varnas 

rem   DOCUMENTATION OF OPERATION:
rem   Batch file assumes the Windows folder to be at C:\WINDOWS
rem   This is usually the case for Windows95 but not for WindowsNT.
rem   Performs three error checks to ensure all files are available:
rem   1) verifys drive letter by confirming that start system splash
rem   file exist at the C drive. If false, prompts user for correct
rem   drive letter & rechecks; 2) verifys correct name of Windows dir
rem   by checking existence of the two closing splash screens, If false,
rem   prompts user for correct dir name & rechecks; and 3) verifys
rem   existence of all three Alien97 splash files at either default Plus!
rem   themes folder or at local dir.  Checks state to see if Alien97 
rem   splash screen backups are installed.  If not, prompts user for 
rem   splash file conversion.  If "yes", batch file will create three
rem   BACKUP FILES of the the screen bitmap files;  These files are as
rem   follows:
rem                  C:\LOGO.SYS ---} C:\LOGO_.SYS
rem         C:\WINDOWS\LOGOW.SYS ---} C:\WINDOWS\LOGOW_.SYS
rem         C:\WINDOWS\LOGOS.SYS ---} C:\WINDOWS\LOGOS_.SYS
 
rem   The above system bitmap files will be replaced with the
rem   following Alien97 splash files:

rem       %ThemeDir%ALIEN9~1.BM1 ---} C:\LOGO.SYS
rem       %ThemeDir%ALIEN9~1.BM2 ---} C:\WINDOWS\LOGOW.SYS
rem       %ThemeDir%ALIEN9~1.BM3 ---} C:\WINDOWS\LOGOS.SYS

rem   Please note: This batch program only works properly if all 
rem   Alien97 component files are kept at default themes directory or
rem   within the same local folder  See the Alien97 Readme file for 
rem   more details.  Error checking prevents needless execution if 
rem   this condition is not met.

rem   Restoration of original splash screens entails simple 
rem   replacement of backup files back to orignal state:

rem                  C:\LOGO_.SYS ---} C:\LOGO.SYS
rem         C:\WINDOWS\LOGOW_.SYS ---} C:\WINDOWS\LOGOW.SYS
rem         C:\WINDOWS\LOGOS_.SYS ---} C:\WINDOWS\LOGOS.SYS
rem   
rem ====================================================================================

:start
rem SET DEFAULT PATH VARIABLES
rem Check first for compressed drive

if not exist H:\io.sys goto C_drive

:H_drive
set boot=H:
set root=C:
set windows=WINDOWS
goto welcome


:C_drive
set boot=C:
set root=C:
set windows=WINDOWS
goto welcome


rem ====================================================================================
rem WELCOME SCREEN
:welcome
cls
echo.
echo.
echo.
echo                     ͻ
echo                               A   L   I   E   N          
echo                                      9 7                 
echo                                  Logo Install            
echo                     ͼ
echo.
echo.
echo.
echo                                     WELCOME
echo.
echo           This batch file will help change your beginning and closing
echo           system splash screens into their Alien97 replacement screens.
echo           The program also works in reverse: if you RE-run this program,
echo           your screens will be exchanged back to their original state.
echo.
echo                        SYSTEM SCREENS   ALIEN97 SCREENS
echo.
echo                    This program will now check your system...
echo.
echo                            (Hit any key to continue)
pause > nul

rem ====================================================================================
:1audit
rem  ERROR CHECKER #1: Start Splash Screen
rem  Checks to see if starting system splash files is in default
rem  drive C:\  If not, we've got a problem.

if not exist %boot%\logo.sys goto 1problem

goto 2audit

rem ====================================================================================
:1problem
rem: 1PROBLEM: Can't find all the system files. There can be many reasons
rem  for this: Drive letter is incorrect; windows directory named
rem  differently; some files are missing.  Only the 1st possibility
rem  is addressed...
cls
echo.
echo.
echo.
echo                     ͻ
echo                               A   L   I   E   N          
echo                                      9 7                 
echo                                  Logo Install            
echo                     ͼ
echo.
echo.
echo                  ERROR: Can't find your beginning splash file:
echo.
echo                     Start splash screen  -at-  %boot%\LOGO.SYS
echo.
echo      The file may be missing or the above drive (%boot%) may be incorrect.
echo      Please specify the DRIVE LETTER of your boot drive.  If you are using
echo      a compressed drive, specify the DRIVE LETTER of the uncompressed
echo      host drive.
echo.
choice /c:abcdefghijklmnopqrstuvwxyz /n                               Drive Letter: 


if errorlevel 26 goto 1Z_choice
if errorlevel 25 goto 1Y_choice
if errorlevel 24 goto 1X_choice
if errorlevel 23 goto 1W_choice
if errorlevel 22 goto 1V_choice
if errorlevel 21 goto 1U_choice
if errorlevel 20 goto 1T_choice
if errorlevel 19 goto 1S_choice
if errorlevel 18 goto 1R_choice
if errorlevel 17 goto 1Q_choice
if errorlevel 16 goto 1P_choice
if errorlevel 15 goto 1O_choice
if errorlevel 14 goto 1N_choice
if errorlevel 13 goto 1M_choice
if errorlevel 12 goto 1L_choice
if errorlevel 11 goto 1K_choice
if errorlevel 10 goto 1J_choice
if errorlevel 9  goto 1I_choice
if errorlevel 8  goto 1H_choice
if errorlevel 7  goto 1G_choice
if errorlevel 6  goto 1F_choice
if errorlevel 5  goto 1E_choice
if errorlevel 4  goto 1D_choice
if errorlevel 3  goto 1C_choice
if errorlevel 2  goto 1B_choice
if errorlevel 1  goto 1A_choice



:1Z_choice
set boot=Z:
goto 1confirm

:1Y_choice
set boot=Y:
goto 1confirm

:1X_choice
set boot=X:
goto 1confirm

:1W_choice
set boot=W:
goto 1confirm

:1V_choice
set boot=V:
goto 1confirm

:1U_choice
set boot=U:
goto 1confirm

:1T_choice
set boot=T:
goto 1confirm

:1S_choice
set boot=S:
goto 1confirm

:1R_choice
set boot=R:
goto 1confirm

:1Q_choice
set boot=Q:
goto 1confirm

:1P_choice
set boot=P:
goto 1confirm

:1O_choice
set boot=O:
goto 1confirm

:1N_choice
set boot=N:
goto 1confirm

:1M_choice
set boot=M:
goto 1confirm

:1L_choice
set boot=L:
goto 1confirm

:1K_choice
set boot=K:
goto 1confirm

:1J_choice
set boot=J:
goto 1confirm

:1I_choice
set boot=I:
goto 1confirm

:1H_choice
set boot=H:
goto 1confirm

:1G_choice
set boot=G:
goto 1confirm

:1F_choice
set boot=F:
goto 1confirm

:1E_choice
set boot=E:
goto 1confirm

:1D_choice
set boot=D:
goto 1confirm

:1C_choice
set boot=C:
goto 1confirm

:1B_choice
set boot=B:
goto 1confirm

:1A_choice
set boot=A:
goto 1confirm


:1confirm
echo.
echo                            Is this letter correct? 
choice /c:ynq /n                              [Yes, No, Quit]: 

if errorlevel 3 goto 1quit_choice
if errorlevel 2 goto 1no_choice
if errorlevel 1 goto 1yes_choice

:1quit_choice
cls
goto 1nogo

:1no_choice
cls
goto 1audit

:1yes_choice
goto 1audit

rem ====================================================================================
:2audit
rem  ERROR CHECKER #2: Ending Splash Screens
rem  Checks to see if all system splash bitmap files are in default
rem  windows drive.  If not, we've got another problem.

if not exist %root%\%windows%\logow.sys goto 2problem
if not exist %root%\%windows%\logos.sys goto 2problem
goto status

rem ====================================================================================
:2problem
rem  2PROBLEM: Can't find one or both of the ending splash files. They
rem  are either missing, or the "windows" directory is named differently
cls
echo.
echo.
echo                     ͻ
echo                               A   L   I   E   N          
echo                                      9 7                 
echo                                  Logo Install            
echo                     ͼ
echo.
echo                   ERROR: Can't find your closing splash files:
echo.
echo                 Wait splash screen  -at-  %root%\%windows%\LOGOW.SYS
echo                  End splash screen  -at-  %root%\%windows%\LOGOS.SYS
echo.
echo       These files may be missing or the path (%root%\%windows%) may be incorrect.
echo    -------------------------------------------------------------------------
echo             1. Enter the DRIVE LETTER of your Windows directory
choice /c:abcdefghijklmnopqrstuvwxyz /n                               Letter Choice: 

if errorlevel 26 goto 2Z_choice
if errorlevel 25 goto 2Y_choice
if errorlevel 24 goto 2X_choice
if errorlevel 23 goto 2W_choice
if errorlevel 22 goto 2V_choice
if errorlevel 21 goto 2U_choice
if errorlevel 20 goto 2T_choice
if errorlevel 19 goto 2S_choice
if errorlevel 18 goto 2R_choice
if errorlevel 17 goto 2Q_choice
if errorlevel 16 goto 2P_choice
if errorlevel 15 goto 2O_choice
if errorlevel 14 goto 2N_choice
if errorlevel 13 goto 2M_choice
if errorlevel 12 goto 2L_choice
if errorlevel 11 goto 2K_choice
if errorlevel 10 goto 2J_choice
if errorlevel 9  goto 2I_choice
if errorlevel 8  goto 2H_choice
if errorlevel 7  goto 2G_choice
if errorlevel 6  goto 2F_choice
if errorlevel 5  goto 2E_choice
if errorlevel 4  goto 2D_choice
if errorlevel 3  goto 2C_choice
if errorlevel 2  goto 2B_choice
if errorlevel 1  goto 2A_choice



:2Z_choice
set root=Z:
goto 2confirm

:2Y_choice
set root=Y:
goto 2confirm

:2X_choice
set root=X:
goto 2confirm

:2W_choice
set root=W:
goto 2confirm

:2V_choice
set root=V:
goto 2confirm

:2U_choice
set root=U:
goto 2confirm

:2T_choice
set root=T:
goto 2confirm

:2S_choice
set root=S:
goto 2confirm

:2R_choice
set root=R:
goto 2confirm

:2Q_choice
set root=Q:
goto 2confirm

:2P_choice
set root=P:
goto 2confirm

:2O_choice
set root=O:
goto 2confirm

:2N_choice
set root=N:
goto 2confirm

:2M_choice
set root=M:
goto 2confirm

:2L_choice
set root=L:
goto 2confirm

:2K_choice
set root=K:
goto 2confirm

:2J_choice
set root=J:
goto 2confirm

:2I_choice
set root=I:
goto 2confirm

:2H_choice
set root=H:
goto 2confirm

:2G_choice
set root=G:
goto 2confirm

:2F_choice
set root=F:
goto 2confirm

:2E_choice
set root=E:
goto 2confirm

:2D_choice
set root=D:
goto 2confirm

:2C_choice
set root=C:
goto 2confirm

:2B_choice
set root=B:
goto 2confirm

:2A_choice
set root=A:
goto 2confirm


:2confirm
echo    -------------------------------------------------------------------------
echo     2. Enter the LETTER corresponding to the NAME of your Windows directory
echo     A)WINDOWS   B)WIN   C)WIN95   D)WIN4   E)WINDOWS95   F)WINNT   G)OTHER
echo.
choice /c:abcdefg /n                            Letter Choice [A-G]: 


if errorlevel 7 goto 3G_choice
if errorlevel 6 goto 3F_choice
if errorlevel 5 goto 3E_choice
if errorlevel 4 goto 3D_choice
if errorlevel 3 goto 3C_choice
if errorlevel 2 goto 3B_choice
if errorlevel 1 goto 3A_choice



:3G_choice
goto 1nogo

:3F_choice
set windows=WINNT
goto 3confirm

:3E_choice
set windows=WINDOW~1
goto 3confirm

:3D_choice
set windows=WIN4
goto 3confirm

:3C_choice
set windows=WIN95
goto 3confirm

:3B_choice
set windows=WIN
goto 3confirm

:3A_choice
set windows=WINDOWS
goto 3confirm

:3confirm
cls
echo.
echo.
echo.
echo                     ͻ
echo                               A   L   I   E   N          
echo                                      9 7                 
echo                                  Logo Install            
echo                     ͼ
echo.
echo.
echo                Is your Windows directory located at %root%\%windows% ?
choice /c:ynq /n                                [Yes, No, Quit]: 

if errorlevel 3 goto 2quit_choice
if errorlevel 2 goto 2no_choice
if errorlevel 1 goto 2yes_choice

:2quit_choice
cls
goto 1nogo

:2no_choice
cls
goto 2audit

:2yes_choice
goto 2audit


rem ====================================================================================
:3audit
rem  ERROR CHECKER #3: Alien97 replacement files
rem  Checks to see if all system splash bitmap files are in the
rem  default themes directory C:\Progra~1\Plus!\Themes\ 
rem  If not, check to see if files are in user-defined local directory
cls
@echo                           Looking for Alien97 files...

@if not exist %root%Alien9~1.bm1 goto 2nogo
@if not exist %root%Alien9~1.bm2 goto 2nogo
@if not exist %root%Alien9~1.bm3 goto 2nogo
goto install

rem ====================================================================================
:status
rem  STATUS CHECKER: Checks to see if Alien97 is already installed.
rem  If so, go to un-install routine. PROGRAMMING NOTE: Status checker
rem  is placed *functionally* before Error checker #3 so that user
rem  can remove Alien97 splash screen without need for any other theme
rem  files.

@if exist %boot%\logo_.sys goto uninstall
goto 3audit

rem ====================================================================================
:install
rem  STATE CHECKER
rem  Checks to see "state" of machines splash files. If Alien97
rem  splash screens are active, the backup bitmap file should 
rem  exist. If so, jumps Re-installer portion

rem CHOICE #1
cls
echo.
echo.
echo.
echo                     ͻ
echo                               A   L   I   E   N          
echo                                      9 7                 
echo                                  Logo Install            
echo                     ͼ
echo.
echo.
echo               Your original splash screens are currently installed.
echo          Do you want to install the Alien97 splash screens at this time?
echo.
echo.
choice /c:yn                                 Yes or No 
if errorlevel 2 goto no#1
if errorlevel 1 goto yes#1

rem ====================================================================================
:no#1
cls
echo.
echo.
echo.
echo                     ͻ
echo                               A   L   I   E   N          
echo                                      9 7                 
echo                                  Logo Install            
echo                     ͼ
echo.
echo.
echo.
echo                        Splash screen conversion aborted.
echo.
echo          You may install your Alien97 splash screens at some other time.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo                                                 Alien97 Desktop Theme (P) 1997.
goto end

rem ====================================================================================

:Yes#1
cls
echo.
echo.
echo.
echo                     ͻ
echo                               A   L   I   E   N          
echo                                      9 7                 
echo                                  Logo Install            
echo                     ͼ
echo.
echo.
echo                        Installing Alien97 splash screens
echo.
echo                           Please wait a few seconds...
echo.
@echo off

rem ====================================================================================
rem  ALIEN97 BITMAP FILE CONVERTER
rem 
rem  Create backup bitmaps of original splash screens.

@copy %boot%\logo.sys %boot%\logo_.sys > nul
@copy %root%\%windows%\logow.sys %root%\%windows%\logow_.sys > nul
@copy %root%\%windows%\logos.sys %root%\%windows%\logos_.sys > nul

rem ====================================================================================
rem  Copy Alien97 bitmap files to system location

@copy %root%Alien9~1.bm1 %boot%\logo.sys /y > nul
@copy %root%Alien9~1.bm2 %root%\%windows%\logow.sys /y > nul
@copy %root%Alien9~1.bm3 %root%\%windows%\logos.sys /y > nul
goto OK_install

rem ====================================================================================
:OK_install
cls
echo.
echo.
echo.
echo                     ͻ
echo                               A   L   I   E   N          
echo                                      9 7                 
echo                                  Logo Install            
echo                     ͼ
echo.
echo.
echo                 Your Alien97 splash screens have been installed.
echo.
echo      These backup files have been created of your original logo screens:
echo.
echo              Beginning start screen  -at-  %boot%\LOGO_.SYS
echo                 Closing wait screen  -at-  %root%\%windows%\LOGOW_.SYS
echo                  Closing end screen  -at-  %root%\%windows%\LOGOS_.SYS
echo.
echo                        PLEASE DO NOT ERASE THESE FILES.
echo.
echo                    To restore your original splash screens
echo                         just rerun this batch program.
echo.
echo                                                 Alien97 Desktop Theme (P) 1997.
goto end

rem ====================================================================================
rem  UN-INSTALLER

:uninstall


rem CHOICE #2
cls
echo.
echo.
echo.
echo                     ͻ
echo                               A   L   I   E   N          
echo                                      9 7                 
echo                                 Logo Uninstall           
echo                     ͼ
echo.
echo.
echo               Your Alien97 splash screens are currently installed.
echo         Do you want to restore your original splash screens at this time?
echo.
echo.
choice /c:yn                                 Yes or No 
if errorlevel 2 goto no#2
if errorlevel 1 goto yes#2

rem ====================================================================================
:no#2
cls
echo.
echo.
echo.
echo                     ͻ
echo                               A   L   I   E   N          
echo                                      9 7                 
echo                                 Logo Uninstall           
echo                     ͼ
echo.
echo.
echo.
echo                        Splash screen conversion aborted.
echo.
echo         You may restore your original splash screens at some other time.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo                                                 Alien97 Desktop Theme (P) 1997.
goto end

rem ====================================================================================

:Yes#2
cls
echo.
echo.
echo.
echo                     ͻ
echo                               A   L   I   E   N          
echo                                      9 7                 
echo                                 Logo Uninstall           
echo                     ͼ
echo.
echo.
echo                      Restoring your original splash screens
echo.
echo                           Please wait a few seconds...
echo.
@echo off

rem ====================================================================================
rem  Copy backup bitmaps to system location

@copy %boot%\logo_.sys %boot%\logo.sys /y > nul
@copy %root%\%windows%\logow_.sys %root%\%windows%\logow.sys /y > nul
@copy %root%\%windows%\logos_.sys %root%\%windows%\logos.sys /y > nul


rem ====================================================================================
rem  Delete all backup bitmaps.

@del %boot%\logo_.sys > nul
@del %root%\%windows%\logow_.sys > nul
@del %root%\%windows%\logos_.sys > nul

cls
echo.
echo.
echo.
echo                     ͻ
echo                               A   L   I   E   N          
echo                                      9 7                 
echo                                 Logo Uninstall           
echo                     ͼ
echo.
echo.
echo.
echo                Your original splash screens have been restored.
echo.
echo.
echo                    To re-install your Alien97 splash screens
echo                          just rerun this batch program.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo                                                 Alien97 Desktop Theme (P) 1997.
goto end

rem ====================================================================================
rem ERROR SPLASH SCREENS

:1nogo
cls
echo.
echo.
echo                     ͻ
echo                               A   L   I   E   N          
echo                                      9 7                 
echo                                  Logo Install            
echo                     ͼ
echo.
echo               ERROR: Can't find one or more system splash files:
echo.
echo               Beginning start screen  -at-  %boot%\LOGO.SYS
echo                  Closing wait screen  -at-  %root%\%windows%\LOGOW.SYS
echo                   Closing end screen  -at-  %root%\%windows%\LOGOS.SYS
echo.
echo.
echo                         ABORTING SPLASH FILE CONVERSION...
echo.
echo.
echo            Please make sure all system splash files are installed
echo            Recheck the location of your boot and Windows directories 
echo            For help, please see the "Alien97 Troubleshooting.txt" file.
echo.
echo.
echo                                                 Alien97 Desktop Theme (P) 1997.
goto end


rem ====================================================================================
:2nogo

cls
echo.
echo.
echo                     ͻ
echo                               A   L   I   E   N          
echo                                      9 7                 
echo                                  Logo Install            
echo                     ͼ
echo.
echo       ERROR: Can't find one or more Alien97 logo files in same directory:
echo.
echo                             Alien97 Logo Install.BAT
echo                             Alien97 Logo (Start).BM1
echo                              Alien97 Logo (Wait).BM2
echo                               Alien97 Logo (End).BM3
echo.
echo                         ABORTING SPLASH FILE CONVERSION...
echo.
echo       Please make sure all Alien97 logo files are kept within the same
echo       directory, and that this batch file is being run only from within
echo       its installation directory as per instructions in the Alien97 
echo       documentation. For further help, please consult the readme text
echo       file "Alien97 Troubleshooting.txt".
echo.
echo                                                 Alien97 Desktop Theme (P) 1997.
goto end




:end
